﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports Microsoft.WindowsAzure
Imports System.Data.Services.Client
Imports Microsoft.WindowsAzure.StorageClient


Public Class PerformanceData
    Inherits Microsoft.WindowsAzure.StorageClient.TableServiceEntity
    Public Sub New(ByVal partitionKey As String, ByVal rowKey As String)
        MyBase.New(partitionKey, rowKey)
    End Sub

    Public Sub New()
        Me.New(Guid.NewGuid().ToString(), String.Empty)
    End Sub

    Public Property EventTickCount() As Int64
    Public Property DeploymentId() As String
    Public Property Role() As String
    Public Property RoleInstance() As String
    Public Property CounterName() As String
    Public Property CounterValue() As Double
End Class

Public Class PerformanceDataContext
    Inherits TableServiceContext
    Public Const TableName As String = "WADPerformanceCountersTable"

    Public ReadOnly Property PerfData() As IQueryable(Of PerformanceData)

        Get
            Return Me.CreateQuery(Of PerformanceData)("WADPerformanceCountersTable")
        End Get

    End Property

    Public Sub New(ByVal baseAddress As String, ByVal credentials As StorageCredentials)

        MyBase.New(baseAddress, credentials)
    End Sub

   'Public Sub DeleteRows(ByVal PerfDataObjs As List(Of PerformanceData))
	'Dim account = CloudStorageAccount.FromConfigurationSetting("Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString")
	   'Dim context = New PerformanceDataContext(account.TableEndpoint.ToString(), account.Credentials)

	'For Each perfdata As PerformanceData In PerfDataObjs
		'   context.AttachTo("WADPerformanceCountersTable", perfdata)
			context.DeleteObject(perfdata)
		'Next perfdata

	 'context.SaveChanges()
 'End Sub


'End Class


